View Issue Details

IDProjectCategoryView StatusLast Update
0014975LazarusOtherpublic2011-12-01 11:22
ReporterMartin FriebeAssigned ToAlexander S. Klenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014975: Selection of source editor tabs shows wrong mouse cursor (drag) / dragging not always possible
DescriptionIf you select a tab in the source editor the "drag" cursor is shown immediately. It should only show if you move the mouse while holding the button.


Also you can not drop a tab behind the last tab (over the empty notebook area), but the drag cursor is shown indicating you could.
TagsNo tags attached.
Fixed in Revision22431
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0014963 closedPaul Ishenin Patches Source editor: Allow moving tabs with the mouse 

Activities

Martin Friebe

2009-11-02 15:45

manager   ~0031852

Addition:

on windows(Vista): press the left mouse and hold it. Drag over the text area (cursor is changing to I-Beam correctly). Release button now.

Return to Notebook area (mouse button is not pressed anymore) => cursor is still "drag"

(Same happens, if you switch windows with alt-tab, while holding mouse down over the notebook)

It needs Mousecapture (or maybe a real drag operation) to detect this.

On Linux this may be more complicated, as mouse capture does not always work 0013878

Issue History

Date Modified Username Field Change
2009-11-02 15:16 Martin Friebe New Issue
2009-11-02 15:16 Martin Friebe LazTarget => -
2009-11-02 15:16 Martin Friebe Widgetset => Win32/Win64
2009-11-02 15:16 Martin Friebe Relationship added related to 0014963
2009-11-02 15:26 Paul Ishenin Status new => assigned
2009-11-02 15:26 Paul Ishenin Assigned To => Alexander S. Klenin
2009-11-02 15:45 Martin Friebe Note Added: 0031852
2009-11-04 19:17 Martin Friebe Fixed in Revision => 22431
2009-11-04 19:17 Martin Friebe LazTarget - => 0.9.30
2009-11-04 19:17 Martin Friebe Status assigned => resolved
2009-11-04 19:17 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2009-11-04 19:17 Martin Friebe Resolution open => fixed
2009-11-04 19:18 Martin Friebe Target Version => 0.9.30
2011-12-01 11:22 Marc Weustink Status resolved => closed